%define name gdal-grass
%define version 1.4.3
%define release %mkrel 6
%define grasspath %{_libdir}/grass64

Summary: 	GRASS plugin extension for the Geospatial Data Abstraction Library and OGR
Name:    	%name
Version: 	%version
Release: 	%release
Source0: 	http://download.osgeo.org/gdal/%{name}-%{version}.tar.gz
Patch:		gdal-grass-1.3.1-fix-install-prefix.patch
Patch1:		gdal-grass-1.4.3-ldflags.patch
License: 	MIT
Group:   	Sciences/Geosciences
URL:     	http://www.gdal.org/
BuildRequires:	gdal-devel >= 1.3.1, grass >= 6.4
Requires: gdal >= 1.3.1
Requires:	grass >= 6.4
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This package contains the GRASS support (plugin) for
the GDAL/OGR libraries.

%prep
%setup -q
%patch -p1 -b .destdir
%patch1 -p0 -b .ldflags

%build
export LD_LIBRARY_PATH=%{grasspath}/%_lib
%configure2_5x \
  --with-grass=%{grasspath}  \
  --with-autoload=%{_libdir}/gdalplugins
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/gdalplugins/gdal_GRASS.so
%{_libdir}/gdalplugins/ogr_GRASS.so
%{_datadir}/gdal/grass/
%doc README


%changelog
* Thu Mar 05 2009 Funda Wang <fundawang@mandriva.org> 1.4.3-6mdv2009.1
+ Revision: 348744
- fix flags

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.3-3mdv2008.1
+ Revision: 164546
- rebuild for new gdal

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.4.3-2mdv2008.0
+ Revision: 82014
- rebuild for new soname of tcl

* Wed Sep 05 2007 Buchan Milne <bgmilne@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 80438
- New version 1.4.3
- Updates from Markus Neteler (#33150)


* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-1mdv2007.0
- 1.3.2

* Thu Mar 23 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1.2-1mdk
- initial Mandriva package

